Package Gnumed :: Package business :: Module gmForms :: Class cIanLaTeXForm |
[frames] | no frames]

# Class cIanLaTeXForm

source code

     object --+
              |
    cFormEngine --+
                  |
                 cIanLaTeXForm

A forms engine wrapping LaTeX.

Instance Methods
__init__(self, id, template) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
process(self, params={}) | source code
xdvi(self) For testing purposes, runs Xdvi on the intermediate TeX output WARNING: don't try this on Windows | source code
exe(self, command) | source code
printout(self) | source code
cleanup(self) Delete all the LaTeX output iles | source code
Inherited from `cFormEngine`: `edit`, `generate_output`, `substitute_placeholders` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, id, template) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)